package models

//评估自定义模板
type AssessmentCustomizationPanel struct {
	AssessmentWeights struct {
		ProfessionalSkills  string `json:"专业程度"`
		CommunicationSkills string `json:"沟通能力"`
		Adaptability        string `json:"应变能力"`
		SocialSkills        string `json:"社交礼仪"`
	} `json:"考核权重"`
	AutomaticTraining struct {
		Location       string `json:"地点"`
		RoleName       string `json:"角色名"`
		Appearance     string `json:"外观"`
		Personality    string `json:"性格"`
		UserBackground string `json:"用户背景"`
		OpeningRemarks string `json:"开场白"`
	} `json:"自动训练"`
	CustomTraining struct {
		AssessmentTarget   string `json:"考核目标"`
		Indicators         string `json:"指标"`
		Precautions        string `json:"注意事项"`
		KnowledgeBase      string `json:"知识库"`
		ScoringStandards   string `json:"评分标准"`
		SceneCustomization string `json:"场景定制"`
	} `json:"定制训练"`
	Endings map[string]struct {
		Description string `json:"描述"`
	} `json:"结局集"`
}
