package models

// UserDigitalPersonInfo 用于封装用户和数字人信息的结构体
type UserDigitalPersonInfo struct {
	UserID         int64           `json:"user_id"`
	UserName       string          `json:"user_name"`
	DigitalPersons []DigitalPerson `json:"digital_persons"`
}

// UserWorldInfo 用于封装用户和世界信息的结构体
type UserWorldInfo struct {
	UserID   int64       `json:"user_id"`
	UserName string      `json:"user_name"`
	Worlds   []WorldInfo `json:"worlds"`
}
